<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Prevent direct access to the script.
}
$profile_id    = gigneo_active_profile_id();
$profile_type  = gigneo_profile_type( $profile_id );
$platform_type = gigneo_platform_type();
$credit_system = gigneo_has_credit_system();
?>
<?php
//Stats
$template_args = array(
	'profile_id'    => $profile_id,
	'profile_type'  => $profile_type,
	'platform_type' => $platform_type,
	'credit_system' => $credit_system,
);
?>
<div id="gn-account-overview-wrapper" class="gn-account-main-wrapper">
	<?php
	//Welcome Section
	gigneo_load_template( 'dashboard/account/parts/overview/welcome', true, $template_args );
	?>
	<div class="row">
		<div class="col-xl-8 col-lg-7">
			<div class="gn-account-overview-main">
				<?php
				//Stats
				gigneo_load_template( 'dashboard/account/parts/overview/stats', true, $template_args );
				//Active Orders
				gigneo_load_template( 'dashboard/account/parts/overview/orders', true, $template_args );
				?>
			</div>
		</div>
		<div class="col-xl-4 col-lg-5">
			<div class="gn-account-overview-side">
				<?php
				//Profile Health/Info Section
				do_action( 'gigneo_dashboard_account_overview_side_profile_card', $template_args, $profile_id );
				//Activity Section
				gigneo_load_template( 'dashboard/account/parts/overview/activity', true, $template_args );
				?>
			</div>
		</div>
	</div>
</div>
<?php
//Add Funds Modal
gigneo_load_template( 'dashboard/account/parts/deposit-funds', true, $template_args );
//Withdraw Funds Modal
gigneo_load_template( 'dashboard/account/parts/withdraw-funds', true, $template_args );